=== doc/requirements.txt ===
sphinx==4.1.2
sphinxcontrib-moderncmakedomain==3.19
