=== debian/changelog ===
rocm-cmake (5.0.0-1) unstable; urgency=medium

  [ Maxime Chambonnet ]
  * New upstream version 5.0.0

  [ Mo Zhou ]
  * cme update dpkg-copyright.
  * Remove redundant LICENSE file after dh_auto_install.
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Mon, 14 Feb 2022 14:22:38 -0500

rocm-cmake (4.5.2-1~exp1) experimental; urgency=medium

  * Initial release. (Closes: #1003267)

 -- Étienne Mollier <emollier@debian.org>  Sat, 15 Jan 2022 15:38:06 +0100
