=== debian/control ===
Source: rocm-cmake
Section: devel
Homepage: https://github.com/RadeonOpenCompute/rocm-cmake
Priority: optional
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/rocm-team/rocm-cmake.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-cmake
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Étienne Mollier <emollier@debian.org>,
           Maxime Chambonnet <maxzor@maxzor.eu>
Build-Depends: debhelper-compat (= 13), cmake
Rules-Requires-Root: no

Package: rocm-cmake
Architecture: all
Depends: ${misc:Depends}
Description: AMD ROCm cmake modules
 ROCM cmake modules provides cmake modules for common build tasks
 needed for the ROCM software stack.
