=== debian/changelog ===
rocm-cmake (5.2.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sat, 02 Jul 2022 11:32:21 +0200

rocm-cmake (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0

 -- Mo Zhou <lumin@debian.org>  Thu, 07 Apr 2022 12:14:53 -0400
