## rocm-cmake 5.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(CMAKE_INSTALL_PREFIX "/opt/rocm" CACHE PATH "")
 
-project(rocm-cmake)
+project(rocm-cmake LANGUAGES NONE)
 
 install(DIRECTORY share DESTINATION .)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ROCMConfigVersion.cmake DESTINATION share/rocm/cmake)
@@ -17,7 +17,7 @@
 include(ROCMCreatePackage)
 include(ROCMSetupVersion)
 
-rocm_setup_version(VERSION 0.7.3)
+rocm_setup_version(VERSION 0.8.0)
 
 include(CMakePackageConfigHelpers)
 write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/ROCMConfigVersion.cmake
