=== test/version/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 ################################################################################
 
 cmake_minimum_required (VERSION 3.5)
-project(simple)
+project(simple LANGUAGES NONE)
 
 find_package(ROCM)
