=== debian/changelog ===
rocm-cmake (5.4.0-1) unstable; urgency=medium

  * Migrate ROCm 5.4.0 to unstable.

 -- Étienne Mollier <emollier@debian.org>  Fri, 06 Jan 2023 19:42:14 +0100

rocm-cmake (5.4.0-1~0exp0) experimental; urgency=medium

  * New upstream version 5.4.0

 -- Étienne Mollier <emollier@debian.org>  Fri, 02 Dec 2022 11:15:40 +0100

rocm-cmake (5.2.3-1) unstable; urgency=medium

  * Migrate ROCm 5.2.3 to unstable.

 -- Étienne Mollier <emollier@debian.org>  Mon, 17 Oct 2022 20:42:49 +0200

rocm-cmake (5.2.3-1~0exp1) experimental; urgency=medium

  * New upstream version

 -- Étienne Mollier <emollier@debian.org>  Mon, 05 Sep 2022 20:58:03 +0200
