=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Homepage: https://github.com/RadeonOpenCompute/rocm-cmake
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/rocm-team/rocm-cmake.git
 Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-cmake
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
@@ -16,6 +16,7 @@
 Package: rocm-cmake
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: AMD ROCm cmake modules
  ROCM cmake modules provides cmake modules for common build tasks
  needed for the ROCM software stack.
