=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?rocm-(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
	https://github.com/RadeonOpenCompute/rocm-cmake/tags \
	(?:.*?/)?rocm-@ANY_VERSION@@ARCHIVE_EXT@
