## rocm-cmake 6.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 include(ROCMCreatePackage)
 include(ROCMSetupVersion)
 
-rocm_setup_version(VERSION 0.8.0)
+rocm_setup_version(VERSION 0.11.0)
 
 include(CMakePackageConfigHelpers)
 write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/ROCMConfigVersion.cmake
