=== doc/CMakeLists.txt ===
include(ROCMSphinxDoc)
rocm_add_sphinx_doc(src
    BUILDER html 
    OUTPUT_DIR html 
)
