=== test/libsimple/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 
 cmake_minimum_required (VERSION 3.5)
-project(simple)
+project(simple CXX)
 
 find_package(ROCM)
