=== debian/changelog ===
rocm-cmake (6.0.0-1) unstable; urgency=medium

  * Migrate ROCm 6.0.0 to unstable

 -- Cordell Bloor <cgmb@slerp.xyz>  Fri, 16 Feb 2024 18:37:01 -0700

rocm-cmake (6.0.0-1~exp0) experimental; urgency=medium

  * New upstream version 6.0.0
  * Update upstream URLs

 -- Cordell Bloor <cgmb@slerp.xyz>  Wed, 17 Jan 2024 11:50:01 -0700

rocm-cmake (5.7.0-1) unstable; urgency=medium

  * Migrate ROCm 5.7.0 to unstable
  * Update standards version to 4.6.2
  * Add self to uploaders
  * Update package description

 -- Cordell Bloor <cgmb@slerp.xyz>  Wed, 17 Jan 2024 00:56:00 -0700

rocm-cmake (5.7.0-1~exp0) experimental; urgency=medium

  * New upstream version 5.7.0

 -- Mo Zhou <lumin@debian.org>  Sat, 16 Sep 2023 21:09:57 -0400
