=== debian/control ===
Source: rocm-cmake
Section: devel
Homepage: https://github.com/ROCm/rocm-cmake
Priority: optional
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rocm-team/rocm-cmake.git
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-cmake
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Étienne Mollier <emollier@debian.org>,
           Maxime Chambonnet <maxzor@maxzor.eu>,
           Cordell Bloor <cgmb@slerp.xyz>
Build-Depends: debhelper-compat (= 13), cmake
Rules-Requires-Root: no

Package: rocm-cmake
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: AMD ROCm CMake modules
 rocm-cmake provides CMake modules for common build and development
 tasks within the ROCm project, such as setting version numbers,
 configuring CPack properties, and running static analysis tools.
 rocm-cmake is not typically required for building libraries or
 programs that use ROCm.
