=== test/findpackagecheck/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 cmake_minimum_required (VERSION 3.5)
-project(findpackagecheck)
+project(findpackagecheck CXX)
 
 message(STATUS "PKG: ${PKG}")
 message(STATUS "PKG_TARGET: ${PKG_TARGET}")
@@ -17,4 +17,3 @@
 add_executable(main ${CMAKE_CURRENT_BINARY_DIR}/main.cpp)
 target_link_libraries(main ${PKG_TARGET})
 install(TARGETS main DESTINATION bin)
-
