=== test/libsimpletest/CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 cmake_minimum_required (VERSION 3.5)
 project(simple CXX)
 
-find_package(ROCM)
+find_package(ROCmCMakeBuildTools)
 
 include(ROCMInstallTargets)
 include(ROCMPackageConfigHelpers)
@@ -20,7 +20,7 @@
 rocm_enable_test_package(simple)
 
 rocm_create_package(
-    NAME simple 
+    NAME simple
     MAINTAINER "Amd amd@amd.com"
     PTH
     LDCONFIG)
