=== debian/changelog ===
rocm-cmake (6.3.2-1) unstable; urgency=medium

  * New upstream version 6.3.2
  * d/control: Update standards version
  * d/control: Add Mario to uploaders

 -- Mario Limonciello <superm1@gmail.com>  Tue, 04 Feb 2025 16:48:06 -0600
