=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Homepage: https://github.com/ROCm/rocm-cmake
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/rocm-team/rocm-cmake.git
 Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-cmake
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
@@ -10,7 +10,8 @@
            Norbert Preining <norbert@preining.info>,
            Étienne Mollier <emollier@debian.org>,
            Maxime Chambonnet <maxzor@maxzor.eu>,
-           Cordell Bloor <cgmb@slerp.xyz>
+           Cordell Bloor <cgmb@slerp.xyz>,
+           Mario Limonciello <superm1@gmail.com>,
 Build-Depends: debhelper-compat (= 13), cmake
 Rules-Requires-Root: no
