## rocm-cmake 6.4.1

=== debian/changelog ===
rocm-cmake (6.4.1-1~exp1) experimental; urgency=medium

  * New upstream version 6.4.1
  * Update d/copyright
  * Add myself to Uploaders
  * Bump Standards-Version to 4.7.2 (no changes needed)

 -- Christian Kastner <ckk@debian.org>  Wed, 02 Jul 2025 18:56:49 +0200
