=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Homepage: https://github.com/ROCm/rocm-cmake
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/rocm-team/rocm-cmake.git
 Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-cmake
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
@@ -12,6 +12,7 @@
            Maxime Chambonnet <maxzor@maxzor.eu>,
            Cordell Bloor <cgmb@slerp.xyz>,
            Mario Limonciello <superm1@gmail.com>,
+           Christian Kastner <ckk@debian.org>,
 Build-Depends: debhelper-compat (= 13), cmake
 Rules-Requires-Root: no
