=== docs/requirements.txt ===
--- 
+++ 
@@ -92,7 +92,7 @@
     # via
     #   pygithub
     #   sphinx
-rocm-docs-core==1.6.2
+rocm-docs-core==1.9.2
     # via -r requirements.in
 smmap==5.0.1
     # via gitdb
