=== debian/changelog ===
rocm-cmake (6.4.3-1) unstable; urgency=medium

  * New upstream version 6.4.3
  * Update my email address

 -- Mario Limonciello <superm1@debian.org>  Fri, 15 Aug 2025 15:41:05 -0500
