=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
            Étienne Mollier <emollier@debian.org>,
            Maxime Chambonnet <maxzor@maxzor.eu>,
            Cordell Bloor <cgmb@slerp.xyz>,
-           Mario Limonciello <superm1@gmail.com>,
+           Mario Limonciello <superm1@debian.org>,
            Christian Kastner <ckk@debian.org>,
 Build-Depends: debhelper-compat (= 13), cmake
 Rules-Requires-Root: no
