## rocm-cmake 7.1.0

=== debian/changelog ===
rocm-cmake (7.1.0-0ubuntu1) resolute; urgency=medium

  * New upstream version 7.1.0

 -- Igor Luppi <igor.luppi@canonical.com>  Thu, 06 Nov 2025 09:25:44 +0100
